GET TaskStatusTypeTaskType?taskStatusTypeTaskTypeId={taskStatusTypeTaskTypeId}&taskStatusTypeId={taskStatusTypeId}&taskTypeId={taskTypeId}
Retrieves a companies task status types to task types association. These are read-only.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| taskStatusTypeTaskTypeId | globally unique identifier |
Required |
|
| taskStatusTypeId | globally unique identifier |
Required |
|
| taskTypeId | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
On success, a list of task status types and task types associations
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of TaskStatusTypeTaskType |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"TaskStatusTypeTaskTypeId": "27bcee21-1025-4de7-ae00-6ca053f622da",
"CompanyId": "45ef4b78-61de-443c-b06c-531a9da2ba17",
"TaskStatusTypeId": "93f44ced-51e2-4449-8bc0-dd870e54570d",
"TaskStatusTypeName": "sample string 2",
"SourceSystemId": "sample string 3",
"TaskTypeId": "d825bbbd-5174-453f-9ed2-29eee4fc6447",
"TaskTypeName": "sample string 4",
"Description": "sample string 5"
},
{
"TaskStatusTypeTaskTypeId": "27bcee21-1025-4de7-ae00-6ca053f622da",
"CompanyId": "45ef4b78-61de-443c-b06c-531a9da2ba17",
"TaskStatusTypeId": "93f44ced-51e2-4449-8bc0-dd870e54570d",
"TaskStatusTypeName": "sample string 2",
"SourceSystemId": "sample string 3",
"TaskTypeId": "d825bbbd-5174-453f-9ed2-29eee4fc6447",
"TaskTypeName": "sample string 4",
"Description": "sample string 5"
}
],
"Total": 1,
"Message": "sample string 1"
}